EndpointsLeagues

Set campaign color

POST/v2/leagues/{league_id}/campaign/color

Save a player's preferred board-palette slot.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

league_id*League Id

League whose color preference should be updated.

Match^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Request Body

application/json

curl -X POST "https://example.com/v2/leagues/string/campaign/color" \  -H "Content-Type: application/json" \  -d '{    "player_id": "string",    "color_index": 0  }'
{}